Last Comment Bug 236674 - Separator appearance should be that of a separator in bookmark manager.
: Separator appearance should be that of a separator in bookmark manager.
Status: RESOLVED FIXED
: fixed1.8.1.1, polish
Product: Camino Graveyard
Classification: Graveyard
Component: Bookmarks (show other bugs)
: unspecified
: PowerPC Mac OS X
-- enhancement (vote)
: Camino2.0
Assigned To: Stuart Morgan
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-06 10:34 PST by Jasper
Modified: 2006-10-27 17:48 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
An image to show how it might look. (10.97 KB, image/jpeg)
2004-03-11 03:58 PST, Jasper
no flags Details
Screenshot of Omniweb's Bookmark Separator (9.39 KB, image/png)
2006-09-20 06:54 PDT, Jon Hicks
no flags Details
fix (3.71 KB, patch)
2006-10-09 08:37 PDT, Stuart Morgan
nick.kreeger: review+
Details | Diff | Splinter Review
icon (5.53 KB, image/tiff)
2006-10-09 08:37 PDT, Stuart Morgan
no flags Details
Trunk project patch (2.76 KB, patch)
2006-10-09 20:55 PDT, Smokey Ardisson (offline for a while; not following bugs - do not email)
no flags Details | Diff | Splinter Review
Branch project patch (2.77 KB, patch)
2006-10-09 20:56 PDT, Smokey Ardisson (offline for a while; not following bugs - do not email)
no flags Details | Diff | Splinter Review
a less magical version (4.92 KB, patch)
2006-10-11 08:00 PDT, Stuart Morgan
mikepinkerton: superreview+
Details | Diff | Splinter Review

Description User image Jasper 2004-03-06 10:34:29 PST
As it stands the appearance of a separator in the bookmark manager is just like
that of a bookmark. I think we should go for a more functional appearance.

I like the way Firefox makes them look but know that would be rather hard to do
in Camino.
Comment 1 User image Jasper 2004-03-11 03:58:46 PST
Created attachment 143583 [details]
An image to show how it might look.

I think that removing the bookmark icon from the separator appearance and
giving it a new title "---------" would make it look and feel more like a
separator.
Comment 2 User image Greg K. 2004-03-12 01:48:54 PST
Why use text dashes? Surely we can draw a real separator there.
Comment 3 User image Jasper 2004-03-12 03:14:07 PST
Sure we could, it's just that that would take a whole lot more coding.
Comment 4 User image Steve Ruge 2004-09-25 23:19:36 PDT
(In reply to comment #3)
> Sure we could, it's just that that would take a whole lot more coding.

This should be fixed as a cosmetic fix when the bookmarks are overhauled. I'd
hope that as Mac users we'd expect someting a bit more better looking than -----
so I agree with Greg's comments about using a "real" seperator.
Comment 5 User image Jasper 2004-09-26 05:16:48 PDT
The idea was to have a better looking separator untill somebody actually took
the time to create a real one. What we do now is way more bad then having ---.

I agree the sperator should look good.
Comment 6 User image Richard Briscoe 2005-01-10 22:09:29 PST
Just what is supposed to "look good"?

I thought that the idea was to make something that was visually obvious that there was a separation 
between different groups of bookmarks.  A line of some sort does this very simply and is sufficiently 
obvious that it passes the "Little Abner Rule" (as any fool can plainly see).  

The present "<Menu Spacer>" is essentially useless as it does not stand out from the bookmarks at all.

Please take a look at the implementation in Mozilla or Firefox to see the difference.
Comment 7 User image Jon Hicks 2006-09-20 06:54:08 PDT
Created attachment 239343 [details]
Screenshot of Omniweb's Bookmark Separator 

I like Omniweb's approach, which is just a plain solid line for the width of the 'label' column, rather than Firefox's dotted line.
Comment 8 User image Stuart Morgan 2006-10-09 08:37:00 PDT
Created attachment 241714 [details] [diff] [review]
fix

Fix. It turns out (coincidentally, since I hadn't looked at these screenshots) to look about like comment 7.
Comment 9 User image Stuart Morgan 2006-10-09 08:37:49 PDT
Created attachment 241715 [details]
icon

The new .tif for the separator.
Comment 10 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-10-09 20:55:32 PDT
Created attachment 241789 [details] [diff] [review]
Trunk project patch
Comment 11 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-10-09 20:56:36 PDT
Created attachment 241791 [details] [diff] [review]
Branch project patch

Looks good, Stuart!
Comment 12 User image Nick Kreeger 2006-10-10 21:52:59 PDT
Comment on attachment 241714 [details] [diff] [review]
fix

Looks good to me.
Comment 13 User image Mike Pinkerton (not reading bugmail) 2006-10-11 06:37:30 PDT
+      float fullWidth = [tableColumn width] - 19 - [outlineView indentationPerLevel]*[outlineView levelForItem:item];
+      NSSize imageSize = [mSeparatorImage size];
+      imageSize.width = (fullWidth > 16) ? fullWidth : 16;

any way we can get these magic #s into constants? 
Comment 14 User image Stuart Morgan 2006-10-11 08:00:37 PDT
Created attachment 241943 [details] [diff] [review]
a less magical version
Comment 15 User image Mike Pinkerton (not reading bugmail) 2006-10-11 09:10:36 PDT
Comment on attachment 241943 [details] [diff] [review]
a less magical version

sr=pink
Comment 16 User image froodian (Ian Leue) 2006-10-11 13:52:57 PDT
Checked in on 1.8branch and trunk.

Note You need to log in before you can comment on or make changes to this bug.